﻿# Imagebutton example by Jamey Stevenson
# This example shows how you can use imagebuttons and screens to let the player click on objects in a scene.

image bg wall = "brickWall.png"

# Imagebuttons must always be placed inside of a screen definition.
screen interactiveObjects:
    imagebutton auto "key_%s.png" xpos 650 ypos 200 focus_mask True action Return ("key")
    imagebutton auto "door_%s.png" xpos 207 ypos 45 focus_mask True action Return ("door")

# The game starts here.
label start:
    
    scene bg wall
    
    # Using the show screen statement causes Ren'Py to show our screen,
    # but doesn't allow the player to click on any of our imagebuttons.
    show screen interactiveObjects

    "Welcome!"
    "This example project is meant to show you how you can use imagebuttons."
    "Imagebuttons can be used to let the player click on objects in your game."
    "Give it a try!"
    
    # Using the call screen statement causes Ren'Py to show our screen with all of the imagebuttons inside.
    # The game will wait here until the player has clicked on one of the imagebuttons inside the screen.
    call screen interactiveObjects
    
    # Once the player has clicked on something in your screen, Ren'Py will stop displaying the screen.
    # If you want your imagebuttons to keep drawing, you'll need to tell Ren'Py to show the screen again.
    show screen interactiveObjects
    
    # After the player clicks on an imagebutton, the value returned by that imagebutton is stored inside
    # of the built-in "_return" variable. You can check this value to respond to what the player clicked.
    if _return == "key":
        "You clicked on the key!"
    elif _return == "door":
        "You clicked on the door!"

    return
